<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Capitulo_17</title>
</head>
<body>
    <h1>Capitulo 17</h1>
    <a>Ejercicio 11</a>

    <script>

        const distanciaPala = (s, p1, p2) => {

            if (p1 == (p2)) {
                return 0;
            }
  
            let palabra = s.split(" "),
                     n = palabra.length,
              min_dist = n + 1,
                  prev = 0, i = 0;
            
            for (i = 0; i < n; i++) {
  
                if (palabra[i] == (p1) || palabra[i] == (p2)) {
                    prev = i;
                    break;
                }
            }
        
            while (i < n) {
                if (palabra[i] == (p1) || palabra[i] == (p2)) {
                    if ((palabra[prev] != (palabra[i])) && (i - prev) < min_dist) {
                        min_dist = i - prev - 1;
                        prev = i;
                    } else {
                        prev = i;
                    }
                }
                i += 1;
            }
            return min_dist;
        }
 
        let s = "geeks for geeks contribute practice";
        let p1 = "geeks";
        let p2 = "practice";
        console.log(`La distancia entre las palabras ${p1} y ${p2} es: ${distanciaPala(s, p1, p2)}`);

    </script>
    
</body>
</html>